%global pom_version 3.0.5
%global mvn_settings -s mirror-settings.xml
%global bcmail_package bouncycastle146-mail
%global orig_name voms-api-java

Name: voms-api-java3
Version: 3.0.5
Release: 1%{?dist}
Summary: The Virtual Organisation Membership Service Java APIs

Group: System Environment/Libraries
License: ASL 2.0
URL: http://italiangrid.github.com/voms-api-java/
Source0: %{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch

BuildRequires:  apache-maven
BuildRequires:  jpackage-utils
BuildRequires:  java-1.6.0-openjdk-devel

Requires:       jpackage-utils
Requires:       canl-java >= 1.3
Requires:       %{bcmail_package}
Requires:       java-1.6.0-openjdk

%description
The Virtual Organization Membership Service (VOMS) is an attribute authority
which serves as central repository for VO user authorization information,
providing support for sorting users into group hierarchies, keeping track of
their roles and other attributes in order to issue trusted attribute
certificates and SAML assertions used in the Grid environment for
authorization purposes.

This package provides a java client APIs for VOMS.

%package    javadoc
Summary:    Javadoc for the VOMS Java APIs
Group:      Documentation
BuildArch:  noarch
Requires:   jpackage-utils
Requires:   %{name} = %{version}-%{release}

%description javadoc
Virtual Organization Membership Service (VOMS) Java API Documentation.

%prep
%setup -q -n voms-api-java

%build
mvn %{?mvn_settings} -U -Dmaven.test.skip=true clean package

%install
rm -rf %{buildroot} 
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{pom_version}

install -m 644 target/%{orig_name}-%{pom_version}.jar -t %{buildroot}%{_javadir}
ln -s %{orig_name}-%{pom_version}.jar %{buildroot}%{_javadir}/%{name}.jar
cp -r target/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{pom_version}
ln -s %{name}-%{pom_version} %{buildroot}%{_javadocdir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)

%{_javadir}/%{name}.jar
%{_javadir}/%{orig_name}-%{pom_version}.jar

%doc AUTHORS LICENSE

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}
%doc %{_javadocdir}/%{name}-%{pom_version}

%changelog
* Thu Dec 10 2014 Andrea Ceccanti <andrea.ceccanti at cnaf.infn.it> - 3.0.5-1
- Bumped packaging for 3.0.5 version

* Thu Dec 19 2013 Andrea Ceccanti <andrea.ceccanti at cnaf.infn.it> - 3.0.4-1
- Fix for https://issues.infn.it/browse/VOMS-455
- Caching certificate validator
- Refactored certificate validator builder
- Less stringent mutual exclusion on default AC parser and validator

* Thu Sep 26 2013 Andrea Ceccanti <andrea.ceccanti at cnaf.infn.it> - 3.0.2-1
- Fix for https://issues.infn.it/browse/VOMS-424
- Adoption of CANL 1.3.0
- Refactored internal AC generator

* Tue Aug 6 2013 Andrea Ceccanti <andrea.ceccanti at cnaf.infn.it> - 3.0.1-1
- Fix for https://issues.infn.it/jira/browse/VOMS-364

* Wed Oct 24 2012 Andrea Ceccanti <andrea.ceccanti at cnaf.infn.it> - 3.0.0-1
- New version of VOMS Java APIs based on CAnL
